Subject: Re: Zile as git core editor?

From: Thorsten Jolitz <[email-masked]>
Date: Fri, 26 Apr 2013 20:33:25 +0200

Junio C Hamano <[email-masked]> writes:

> Thorsten Jolitz <[email-masked]> writes:
>
>>  ... I think what I really would like to
>>  have it that, when I use GNU Emacs Magit and enter a git command 
>>
>> ,-----------------------------
>> | Run git like this: <command>
>> `-----------------------------
>>
>> that calls an editor (e.g. commit --amend), the running Emacs instance
>> is (re)used and a new buffer is opened for editing (instead of starting
>> another Emacs instance).
>
> Hmph, isn't that what "emacsclient" is for?  I have these
>
> 	(setenv "PAGER" "cat")
> 	(setenv "EDITOR" "emacsclient")
> 	(server-start)
>
> somewhere in my ~/.emacs to make commands in "M-x compile" behave.

I was a big fan of emacsclient and used it quite some time - but finally
those frequent Emacs crashes caused by it were just unbearable, so I
went back to 'normal' use of Emacs.

But maybe you are right - I should run a second Emacs instance as server
only used to popup emacsclient buffers on demand, while doing all the
serious stuff in a non-server instance of Emacs. 

-- 
cheers,
Thorsten